Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Interface ServerManager.AdapterManager

All Superinterfaces:
  IDLEntity, Object, POAManager, POAManagerOperations, java.io.Serializable

All Known Implementing Classes:
  ServerManagerImpl.AdapterManagerImpl

Enclosing class:
  ServerManager

public static interface ServerManager.AdapterManager
extends POAManager

This is the interface for an object adapter manager.

Method Summary
`void` | `setMaxManagerHeldRequests(int max)` Set the maximum number of held requests.

Methods inherited from interface org.omg.PortableServer.POAManagerOperations
`activate, deactivate, discard_requests, get_state, hold_requests`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Method Detail

### setMaxManagerHeldRequests

    public void setMaxManagerHeldRequests(int max)

  Set the maximum number of held requests.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD